#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x63c6ce02, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x221ee77c, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x051ac9bb, "");
SYMBOL_CRC(rdma_res_to_id, 0xb69361c9, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x8458f016, "");
SYMBOL_CRC(rdma_create_user_id, 0x506cf763, "");
SYMBOL_CRC(rdma_create_qp, 0x41f6967e, "");
SYMBOL_CRC(rdma_destroy_qp, 0x6be919e6, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x99e9914b, "");
SYMBOL_CRC(rdma_destroy_id, 0xf4e27f76, "");
SYMBOL_CRC(rdma_get_service_id, 0x1070db3a, "");
SYMBOL_CRC(rdma_read_gids, 0xfce6654e, "");
SYMBOL_CRC(rdma_set_service_type, 0x052cda5b, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xbaca0362, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xa3f226e9, "");
SYMBOL_CRC(rdma_set_ib_path, 0x1f1ff6c6, "");
SYMBOL_CRC(rdma_resolve_route, 0xe630d023, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xa295e7e7, "");
SYMBOL_CRC(rdma_set_afonly, 0xc14f2148, "");
SYMBOL_CRC(rdma_listen, 0xf4dabe41, "");
SYMBOL_CRC(rdma_resolve_addr, 0xde409202, "");
SYMBOL_CRC(rdma_bind_addr, 0xe4a38be0, "");
SYMBOL_CRC(rdma_connect_locked, 0xa82a3ba7, "");
SYMBOL_CRC(rdma_connect, 0x63bbb9ee, "");
SYMBOL_CRC(rdma_connect_ece, 0x78b9df24, "");
SYMBOL_CRC(rdma_accept, 0xf896a667, "");
SYMBOL_CRC(rdma_accept_ece, 0x1bd0e175, "");
SYMBOL_CRC(rdma_lock_handler, 0x2d98156a, "");
SYMBOL_CRC(rdma_unlock_handler, 0x55d01e39, "");
SYMBOL_CRC(rdma_notify, 0xa9ce6861, "");
SYMBOL_CRC(rdma_reject, 0x6cb382ee, "");
SYMBOL_CRC(rdma_disconnect, 0x8772d432, "");
SYMBOL_CRC(rdma_join_multicast, 0xfa0ce817, "");
SYMBOL_CRC(rdma_leave_multicast, 0x69d22116, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50f21056, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdce6f8ba, "iw_create_cm_id" },
	{ 0xa4679985, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xec2db6e4, "ib_unregister_client" },
	{ 0xac5776e1, "netdev_walk_all_lower_dev_rcu" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb0810c0c, "ib_send_cm_sidr_rep" },
	{ 0x117bf594, "bpf_trace_run4" },
	{ 0x36fc57c6, "config_group_init" },
	{ 0xf7d2b2fb, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x9ae5165, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1ac74e2, "trace_raw_output_prep" },
	{ 0xf057a97c, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe13d6508, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x4f690287, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d6bc0fc, "rdma_query_gid" },
	{ 0x87ab6bb8, "rt6_lookup" },
	{ 0xb000785e, "rdma_translate_ip" },
	{ 0x717c6b19, "bpf_trace_run2" },
	{ 0xca41eafb, "event_triggers_call" },
	{ 0x6c28292f, "rdma_dev_access_netns" },
	{ 0xc17b8cf5, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x86cef180, "rdma_addr_size" },
	{ 0x9d019d2a, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xd7bee129, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc0b5f6ca, "register_pernet_subsys" },
	{ 0xd3ac8b81, "trace_event_buffer_commit" },
	{ 0x5a67e6b1, "ip_mc_inc_group" },
	{ 0x11dccff7, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xedb9a6da, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x2bbf7343, "iw_cm_connect" },
	{ 0xe0abb3c7, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa3e4af1d, "rdma_addr_cancel" },
	{ 0x401553ec, "trace_event_ignore_this_pid" },
	{ 0x5e9f73e9, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x6b805b27, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x23701217, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x28d991e3, "ib_sa_path_rec_get" },
	{ 0x1a08e1f3, "ib_create_cm_id" },
	{ 0xdb0b4dde, "__ip_mc_dec_group" },
	{ 0xdc2d863a, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x68f58f8a, "perf_trace_run_bpf_submit" },
	{ 0xd30c8c61, "ib_init_ah_from_mcmember" },
	{ 0xe2d7ab31, "rdma_destroy_ah_attr" },
	{ 0x6c270478, "ib_set_client_data" },
	{ 0x7e0aabe3, "init_net" },
	{ 0xbb0565be, "ib_get_cached_pkey" },
	{ 0x88fea14f, "configfs_register_subsystem" },
	{ 0x33d2e782, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x45788eb7, "rdma_put_gid_attr" },
	{ 0xd8bc642c, "config_group_init_type_name" },
	{ 0x2ba3668f, "dev_get_by_index" },
	{ 0xb10910e9, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xdcc4f525, "ib_send_cm_rep" },
	{ 0x15f61093, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x61514751, "iw_cm_disconnect" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xe047944c, "bpf_trace_run1" },
	{ 0xde0f5b4b, "ib_destroy_qp_user" },
	{ 0xbf4e4290, "unregister_pernet_subsys" },
	{ 0xcefb5639, "ib_cm_init_qp_attr" },
	{ 0x60bc5c26, "_dev_warn" },
	{ 0xea785612, "ib_send_cm_drep" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x6913920e, "rdma_restrack_set_name" },
	{ 0x8b15e477, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x13160c10, "ib_get_cached_port_state" },
	{ 0x57c4214b, "ib_send_cm_mra" },
	{ 0x46384004, "rdma_restrack_del" },
	{ 0x249985d0, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x88e63394, "bpf_trace_run3" },
	{ 0x197fa480, "__put_net" },
	{ 0xce706542, "rdma_restrack_parent_name" },
	{ 0xe59c2d5e, "iw_cm_accept" },
	{ 0x8da809be, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x3fc28297, "config_item_put" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf79fdb11, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x406767c0, "iw_cm_init_qp_attr" },
	{ 0xcfa4eac8, "dst_release" },
	{ 0x4f3257b3, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7f42f7fa, "ib_send_cm_dreq" },
	{ 0x8e3c3862, "ib_send_cm_req" },
	{ 0xfecfd0b6, "ib_create_qp_kernel" },
	{ 0x6a8203e2, "ib_sa_join_multicast" },
	{ 0x9042a40c, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf6314571, "rdma_get_gid_attr" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x54e43246, "rdma_restrack_new" },
	{ 0x437091d3, "__fib_lookup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x46721e25, "iw_cm_listen" },
	{ 0xc696d912, "ib_send_cm_rej" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xa0a7dd4f, "rdma_copy_src_l2_addr" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x376da579, "rdma_resolve_ip" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "588360EB558E7A5B73F546E");
MODULE_INFO(rhelversion, "9.6");
