#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x4cbf1874, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xc4bb65b7, "");
SYMBOL_CRC(team_options_register, 0xc830b29d, "");
SYMBOL_CRC(team_options_unregister, 0xc872fdc6, "");
SYMBOL_CRC(team_option_inst_set_change, 0x462b1431, "");
SYMBOL_CRC(team_options_change_check, 0x4076bbf8, "");
SYMBOL_CRC(team_mode_register, 0x0967a8ca, "");
SYMBOL_CRC(team_mode_unregister, 0x887fae0a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8ff228e4, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb32e1560, "netlink_unicast" },
	{ 0x5a8806d1, "netif_carrier_on" },
	{ 0x2f583ace, "netif_carrier_off" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xcf4e0943, "dev_set_promiscuity" },
	{ 0xcb9247d0, "dev_set_allmulti" },
	{ 0x419030b, "dev_uc_unsync" },
	{ 0x6018a91c, "dev_mc_unsync" },
	{ 0xa466ec50, "dev_set_mtu" },
	{ 0x7299ca7a, "netdev_err" },
	{ 0x20df553c, "__dynamic_netdev_dbg" },
	{ 0x8edb317f, "dev_kfree_skb_any_reason" },
	{ 0x904e6f18, "dev_uc_sync_multiple" },
	{ 0x394b634, "dev_mc_sync_multiple" },
	{ 0x7ea143e1, "vlan_vid_del" },
	{ 0x52818689, "vlan_vid_add" },
	{ 0x7e9320e5, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3dc27e24, "__alloc_skb" },
	{ 0x1bddb3f3, "genlmsg_put" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0x2cd9f5b9, "register_netdevice" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x354b9a64, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x17f734b1, "rtnl_link_register" },
	{ 0xb0fefc, "genl_register_family" },
	{ 0x5f7d6c94, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd1211f80, "genl_unregister_family" },
	{ 0x61ca73e1, "__dev_queue_xmit" },
	{ 0xbd1a4e2d, "netpoll_send_skb" },
	{ 0xb9fdf1e4, "netlink_broadcast_filtered" },
	{ 0x7c16a483, "skb_clone" },
	{ 0x6e41bbb7, "consume_skb" },
	{ 0x2b939525, "netdev_lower_state_changed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x6ebec8b8, "__netpoll_setup" },
	{ 0x37a0cba, "kfree" },
	{ 0x21b126b3, "__netpoll_free" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe416dce7, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x2ba3668f, "dev_get_by_index" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe052b87, "skb_trim" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe9538931, "__nlmsg_put" },
	{ 0xaf6c64ca, "__ethtool_get_link_ksettings" },
	{ 0xf40fdacf, "netdev_warn" },
	{ 0x45d3d43e, "try_module_get" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9982ee29, "netdev_info" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x13c0f101, "netdev_has_upper_dev" },
	{ 0x3c24aa5a, "dev_uc_flush" },
	{ 0xf21c0774, "dev_mc_flush" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf65dfab5, "dev_open" },
	{ 0x78dcb4cf, "vlan_uses_dev" },
	{ 0x66216d54, "vlan_vids_add_by_dev" },
	{ 0x40c96ba8, "netdev_rx_handler_register" },
	{ 0xe6ed213e, "netdev_master_upper_dev_link" },
	{ 0x4ff8c7ca, "netdev_upper_dev_unlink" },
	{ 0xbe706875, "netdev_rx_handler_unregister" },
	{ 0x913efd55, "vlan_vids_del_by_dev" },
	{ 0x1c7c5ab1, "dev_close" },
	{ 0xf4f12644, "dev_disable_lro" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xa3af8465, "netdev_change_features" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x125827c8, "passthru_features_check" },
	{ 0x9b6a1a9a, "ethtool_op_get_link" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD394827C02BE3E7B147EE0");
MODULE_INFO(rhelversion, "9.6");
