#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0xc2d03d18, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0x3c617603, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x86beab06, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xaee64f12, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x233ef154, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0x44540756, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x8561ccec, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xc230acef, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x93c8efcb, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0xef10ba36, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x630746e2, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x9e7721a3, "");
SYMBOL_CRC(key_type_rxrpc, 0x3c83d5f4, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x7b46566d, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x1d855a71, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x7f959752, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x3f5eb2a8, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xcfaf5090, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x025f8202, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xfe0d0c69, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x6e0f5b9c, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x81a015e6, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0x6aa6c3e0, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x5304759a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa2fd79a5, "crypto_skcipher_encrypt" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x95628309, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xdfc3bc87, "key_alloc" },
	{ 0x117bf594, "bpf_trace_run4" },
	{ 0xe235567c, "skb_copy_bits" },
	{ 0x3761d215, "idr_find" },
	{ 0x6dfe81f3, "param_ops_uint" },
	{ 0x84879672, "register_net_sysctl" },
	{ 0x6e41bbb7, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1ac74e2, "trace_raw_output_prep" },
	{ 0x61adc29d, "udp_sock_create4" },
	{ 0x6b351b2, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x7500bb61, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xe13d6508, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xc06fa7e0, "add_wait_queue_exclusive" },
	{ 0x534bbcbc, "set_user_nice" },
	{ 0xd566933c, "up" },
	{ 0x51a3a50d, "udpv6_sendmsg" },
	{ 0xb5d905d5, "unregister_key_type" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4f690287, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b69505f, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x717c6b19, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xca41eafb, "event_triggers_call" },
	{ 0x8e163f43, "crypto_skcipher_setkey" },
	{ 0x7f96842e, "ip_route_output_flow" },
	{ 0x566957a6, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe36af107, "key_instantiate_and_link" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xfbe4d3c5, "register_key_type" },
	{ 0x6ad8e0dd, "proc_create_net_data" },
	{ 0x1afc9b74, "put_cmsg" },
	{ 0xb55c3044, "wake_up_process" },
	{ 0xd3ac8b81, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x11222e22, "crypto_destroy_tfm" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x83e5379b, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x157ca863, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x401553ec, "trace_event_ignore_this_pid" },
	{ 0x51003014, "crypto_skcipher_decrypt" },
	{ 0x3993080b, "make_kuid" },
	{ 0x29a2b6d8, "ip6_route_output_flags" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0xdcbf71a2, "kmem_cache_alloc" },
	{ 0x16fe74bb, "proto_register" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc108b1d1, "skb_queue_tail" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xc2c5802, "work_busy" },
	{ 0x800473f, "__cond_resched" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xc2281f73, "__sock_recv_timestamp" },
	{ 0xf02f4820, "key_put" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x68f58f8a, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x7e0aabe3, "init_net" },
	{ 0x37574bee, "skb_pull" },
	{ 0x6762e507, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x4dea1053, "memchr" },
	{ 0x9b84c7d6, "sock_enable_timestamps" },
	{ 0xded3f22c, "ip_sock_set_mtu_discover" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0x81b433f2, "down" },
	{ 0x4c56be5, "bpf_trace_run5" },
	{ 0x81c84a51, "sk_free" },
	{ 0x6e43bea0, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xc9a71b48, "kernel_sock_shutdown" },
	{ 0x398d86c4, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4245a838, "kmem_cache_free" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x15f61093, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xde2100e5, "iov_iter_kvec" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd5da8a2b, "unregister_pernet_device" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x59990f6e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3ba1882, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x3d054665, "skb_copy_datagram_iter" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe8c5cbfb, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd7e385e4, "sk_alloc" },
	{ 0xe047944c, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x6fa9863, "__sock_recv_wifi_status" },
	{ 0x1bee897d, "sock_no_socketpair" },
	{ 0xdbc2e631, "key_revoke" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x1f317b2b, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x91c19eb, "key_validate" },
	{ 0xabfb0ff, "sock_no_sendpage" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8f8e3247, "crypto_alloc_sync_skcipher" },
	{ 0xf53a3740, "setup_udp_tunnel_sock" },
	{ 0x64edc193, "proc_remove" },
	{ 0xf82d6f05, "udp_sock_create6" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x9862ec85, "kthread_create_on_node" },
	{ 0x88e63394, "bpf_trace_run3" },
	{ 0xbed77a0b, "__page_frag_cache_drain" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8da809be, "trace_event_buffer_reserve" },
	{ 0x4d70feb7, "keyring_search" },
	{ 0xcc03ec08, "ip_sock_set_recverr" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x598ae854, "request_key_tag" },
	{ 0x62759fb7, "generic_key_instantiate" },
	{ 0xde1371ce, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x35f29549, "sock_no_getname" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe7ca6ecf, "seq_printf" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xc3006e57, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x7c16a483, "skb_clone" },
	{ 0xcfa4eac8, "dst_release" },
	{ 0xafe98523, "_copy_from_iter" },
	{ 0xeded1ef1, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xbd6b3c80, "seq_puts" },
	{ 0x6d7f44e, "sock_no_ioctl" },
	{ 0xfc9617b9, "_proc_mkdir" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xad604309, "bpf_trace_run7" },
	{ 0x5fda5547, "iov_iter_revert" },
	{ 0x28f1e575, "kernel_sendmsg" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x28cb4f3a, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xaa213e71, "register_pernet_device" },
	{ 0x900a6ecf, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xefa11993, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x14ebeeed, "kmem_cache_destroy" },
	{ 0x62740300, "release_sock" },
	{ 0x63a07d2e, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3b11510, "proc_create_net_single_write" },
	{ 0x7abb3ac8, "crypto_alloc_skcipher" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "BD919FDACC290C82D8889A7");
MODULE_INFO(rhelversion, "9.6");
