#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x946cacac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x5d8f3853, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0xdd149867, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0xe6194bb5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0xc6a6e458, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xe1b1b829, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x019d9ed5, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x1cdb8bc6, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x61a94967, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0xb4c2d86a, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x963dafdb, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xc798e4c0, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0xf940aaa4, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xb9e1a303, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x83304743, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x3f4b7bfc, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x476b6f59, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x3b7a850c, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x92d5a101, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x387fe9b4, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x2b4385fc, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x34aff74b, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0xf8263d14, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xa214e18c, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x5c8d28c3, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0xac832ad0, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x17516510, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xa1993463, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0xdb70215b, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xa0c4c558, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x2cbc03e2, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x38c89149, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x59da7aca, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xb7e31261, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xe73494df, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x6a3ad0f1, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xee0c4f07, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xafe4f045, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xc49ca162, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x362e4c91, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xdb8be287, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xc5f96ff8, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x7228c894, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x2e1bfde2, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xf00a99a4, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x516c6303, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xe14ac6d7, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xe1c56505, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x68f58f8a, "perf_trace_run_bpf_submit" },
	{ 0x8da809be, "trace_event_buffer_reserve" },
	{ 0xd3ac8b81, "trace_event_buffer_commit" },
	{ 0xca41eafb, "event_triggers_call" },
	{ 0x401553ec, "trace_event_ignore_this_pid" },
	{ 0xc1ac74e2, "trace_raw_output_prep" },
	{ 0xe13d6508, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x717c6b19, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xee90da62, "put_device" },
	{ 0x1ae9e5a7, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x67cd8ba3, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x6a97cfe5, "get_device" },
	{ 0xdb07a95e, "device_find_child" },
	{ 0xa0bfeec7, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x47766fa9, "dev_printk" },
	{ 0xd759e131, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb7b27d43, "netlink_kernel_release" },
	{ 0x3e27d07d, "bus_unregister" },
	{ 0x83718c34, "transport_class_unregister" },
	{ 0x6414cb71, "class_unregister" },
	{ 0x6c94b11a, "class_register" },
	{ 0x77c94cca, "transport_class_register" },
	{ 0x82caba2, "bus_register" },
	{ 0x7e0aabe3, "init_net" },
	{ 0x5f76122b, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf5ceb8a3, "scsi_host_get" },
	{ 0x3464ebcf, "device_initialize" },
	{ 0xb9fdf1e4, "netlink_broadcast_filtered" },
	{ 0x3dc27e24, "__alloc_skb" },
	{ 0xe9538931, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6f49ac2, "scsi_is_host_device" },
	{ 0xdae03a59, "bsg_remove_queue" },
	{ 0x196a073e, "scsi_host_put" },
	{ 0x2998b994, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x98de1c15, "snprintf" },
	{ 0xff762c2b, "bsg_setup_queue" },
	{ 0xd8e4623b, "__scsi_init_queue" },
	{ 0x578f2f0e, "scsi_host_lookup" },
	{ 0xe052b87, "skb_trim" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbdb55e4d, "transport_remove_device" },
	{ 0x7b032e3a, "transport_destroy_device" },
	{ 0xbaf6dfa4, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x526cc803, "dev_set_name" },
	{ 0xe82e215d, "device_register" },
	{ 0x88a76b87, "sysfs_create_group" },
	{ 0x90b4e8bc, "attribute_container_register" },
	{ 0x3f0ed4b2, "device_add" },
	{ 0x8a10f1b7, "transport_setup_device" },
	{ 0x626b00d2, "transport_add_device" },
	{ 0x1a965f6e, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x74f446f4, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x8bb5d7cf, "scsi_remove_target" },
	{ 0xe6471647, "scsi_scan_target" },
	{ 0x903c4b13, "netlink_capable" },
	{ 0x45d3d43e, "try_module_get" },
	{ 0x7e9320e5, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xb32e1560, "netlink_unicast" },
	{ 0x37574bee, "skb_pull" },
	{ 0x15f61093, "trace_event_reg" },
	{ 0x4f690287, "trace_event_raw_init" },
	{ 0xefa4f987, "param_ops_int" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE699B809D56E77CBA7FA7E");
MODULE_INFO(rhelversion, "9.6");
