#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xd791e5d1, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xf678fe6b, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xa0cae917, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x087aa013, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x6dc9e4e6, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xdfc19133, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x6fcaeb49, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xb39c0d0e, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x60354bef, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x2827d8c3, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xcd30925e, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xf162ba83, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xafe988c0, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x07c6102d, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xbfd1526a, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x734549cb, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x00442efb, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xd052b108, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x1726c814, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x8ac6c685, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xf7409452, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x5ec46be1, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x7b275bde, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9b3256f, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc276dbdd, "icmpv6_ndo_send" },
	{ 0xe594ffb2, "icmp_ndo_send" },
	{ 0x236c8c64, "memcpy" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd6777372, "alloc_netdev_mqs" },
	{ 0x2cd9f5b9, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xae505cff, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac54fa1a, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7f96842e, "ip_route_output_flow" },
	{ 0xcfa4eac8, "dst_release" },
	{ 0xe798236d, "jiffies" },
	{ 0xdaadafa, "__dev_get_by_index" },
	{ 0x5cfdc428, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x85a9fa29, "gro_cells_init" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x25097692, "netdev_state_change" },
	{ 0xd133136a, "ns_capable" },
	{ 0xa466ec50, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7e0aabe3, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe235567c, "skb_copy_bits" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0xde9cb40, "pskb_expand_head" },
	{ 0x1b008616, "__skb_get_hash_net" },
	{ 0xef2dd4eb, "dst_cache_get_ip4" },
	{ 0x13f8f99f, "dst_cache_set_ip4" },
	{ 0x5fee9f9f, "iptunnel_xmit" },
	{ 0x2d756fdf, "__pskb_pull_tail" },
	{ 0x39e65a9d, "skb_scrub_packet" },
	{ 0x70d79b30, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xf1b71306, "eth_type_trans" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf0d98c98, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EDC69CC7537D110380AB2A7");
MODULE_INFO(rhelversion, "9.6");
