#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x2ef3a13c, "");
SYMBOL_CRC(tipc_dump_start, 0xe79a2cd7, "");
SYMBOL_CRC(tipc_dump_done, 0xe3671dc9, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x4e386921, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9baf440a, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x899728ce, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x117bf594, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xe9538931, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x54c5dccb, "skb_put" },
	{ 0x84879672, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xebd34edd, "ip6_dst_hoplimit" },
	{ 0xe3053337, "trace_output_call" },
	{ 0x6e41bbb7, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x1c584c18, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1ac74e2, "trace_raw_output_prep" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x61adc29d, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xe13d6508, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x32f947c9, "__ip_dev_find" },
	{ 0x13f8f99f, "dst_cache_set_ip4" },
	{ 0xe9c77208, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x1bddb3f3, "genlmsg_put" },
	{ 0x4070dee3, "___pskb_trim" },
	{ 0x4f690287, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xdc53d513, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xf40fdacf, "netdev_warn" },
	{ 0xdecbdbba, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x842eb8eb, "crypto_aead_decrypt" },
	{ 0xca41eafb, "event_triggers_call" },
	{ 0x73636b77, "kernel_accept" },
	{ 0x539c884c, "__module_get" },
	{ 0x7f96842e, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb5e9b8ed, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xde9cb40, "pskb_expand_head" },
	{ 0xc0b5f6ca, "register_pernet_subsys" },
	{ 0x1afc9b74, "put_cmsg" },
	{ 0xe7b7922b, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xd3ac8b81, "trace_event_buffer_commit" },
	{ 0x11222e22, "crypto_destroy_tfm" },
	{ 0xf1b71306, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x83e5379b, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x157ca863, "sock_register" },
	{ 0x552e3ef5, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x401553ec, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x3dc27e24, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x74d6d2f5, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x1026f233, "skb_try_coalesce" },
	{ 0x16fe74bb, "proto_register" },
	{ 0x1ed39593, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xc108b1d1, "skb_queue_tail" },
	{ 0x7e9320e5, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x56a8d11b, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xdaadafa, "__dev_get_by_index" },
	{ 0x68f58f8a, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x484e16ea, "__traceiter_sk_data_ready" },
	{ 0x7e0aabe3, "init_net" },
	{ 0x2b49e694, "ipv6_stub" },
	{ 0x37574bee, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0xb588c765, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0xb32e1560, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8511c6fd, "dev_remove_pack" },
	{ 0x81c84a51, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc9a71b48, "kernel_sock_shutdown" },
	{ 0x398d86c4, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xaee8d218, "skb_push" },
	{ 0xc0d57402, "dst_cache_get" },
	{ 0xe8570bbf, "sock_no_listen" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x15f61093, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xde2100e5, "iov_iter_kvec" },
	{ 0xdb0497b4, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd5da8a2b, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x59990f6e, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3d054665, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd7e385e4, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xbf4e4290, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x552931f2, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xcf2f3910, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x1f317b2b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x2d756fdf, "__pskb_pull_tail" },
	{ 0xabfb0ff, "sock_no_sendpage" },
	{ 0xb3d0830f, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xf53a3740, "setup_udp_tunnel_sock" },
	{ 0xf82d6f05, "udp_sock_create6" },
	{ 0xe052b87, "skb_trim" },
	{ 0x3ef3d56b, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x88e63394, "bpf_trace_run3" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa0d44756, "sock_rfree" },
	{ 0xed2acced, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x2012fea0, "kernel_listen" },
	{ 0x61ca73e1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8da809be, "trace_event_buffer_reserve" },
	{ 0xcdc307ff, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe52eb19, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xbdaa0124, "dst_cache_set_ip6" },
	{ 0xd95e9cb6, "pskb_put" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4940c3df, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x731da409, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xc3006e57, "skb_copy" },
	{ 0x7c16a483, "skb_clone" },
	{ 0x26776c0e, "dev_get_by_name" },
	{ 0xafe98523, "_copy_from_iter" },
	{ 0xeded1ef1, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xdd5fba36, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xd50d9b2a, "sk_stop_timer" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xd1211f80, "genl_unregister_family" },
	{ 0x7cfba79b, "from_kuid_munged" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5fda5547, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0xb0fefc, "genl_register_family" },
	{ 0x28f1e575, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x28cb4f3a, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xaa213e71, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xefa11993, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x62740300, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FB91D0FF4134BB89EE997BB");
MODULE_INFO(rhelversion, "9.6");
