#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x0fdff8bb, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xd03fb98a, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0xaa5f839e, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x9e26c02b, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x0221438a, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x735cfaa3, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x8fc83afd, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x431e68da, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x64b6f6b4, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x0e574a4f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x6f1d837c, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0x2138306e, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x33fb8686, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0x63c55f16, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0x00eba3c1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x5aeba085, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x2db935b3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xf556e371, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x9d5bc164, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xdd77675b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0xc1d66924, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x16683990, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0x9811422c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0x9b70cca6, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xfbd62a1d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0xab9e49e5, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x1e8e9508, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x63df915e, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0xa6e336db, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0xef646e46, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0xcb716899, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x36d24dea, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x7e3db6b2, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x2fc321f0, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xb43dff15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x395a403b, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3f81fe16, "vsock_insert_connected" },
	{ 0x54c5dccb, "skb_put" },
	{ 0x6e41bbb7, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc1ac74e2, "trace_raw_output_prep" },
	{ 0x58ba2e5, "vsock_remove_sock" },
	{ 0xe13d6508, "trace_event_printf" },
	{ 0x80522fd5, "vsock_deliver_tap" },
	{ 0x4f690287, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xca41eafb, "event_triggers_call" },
	{ 0x689cc8c9, "sk_error_report" },
	{ 0xd3ac8b81, "trace_event_buffer_commit" },
	{ 0xad64e6f4, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x401553ec, "trace_event_ignore_this_pid" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x3dc27e24, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x68f58f8a, "perf_trace_run_bpf_submit" },
	{ 0xf8ea34bb, "sk_skb_reason_drop" },
	{ 0x81c84a51, "sk_free" },
	{ 0x15f61093, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x617a49bc, "__skb_recv_datagram" },
	{ 0x59990f6e, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x93e0fa37, "vsock_stream_has_data" },
	{ 0x3d054665, "skb_copy_datagram_iter" },
	{ 0xc3928474, "bpf_trace_run9" },
	{ 0xe9d724fc, "vsock_find_connected_socket" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xbd682b08, "sock_efree" },
	{ 0xddce6f26, "bpf_trace_run10" },
	{ 0x44def366, "vsock_core_get_transport" },
	{ 0x7f35f7a4, "__zerocopy_sg_from_iter" },
	{ 0x4a9a6139, "vsock_stream_has_space" },
	{ 0x6d52d90f, "skb_set_owner_w" },
	{ 0x8da809be, "trace_event_buffer_reserve" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xafe98523, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x88a51469, "msg_zerocopy_realloc" },
	{ 0xebdc3a46, "kmalloc_trace" },
	{ 0xc3940ef5, "vsock_create_connected" },
	{ 0x6d00bc14, "vsock_assign_transport" },
	{ 0x5fda5547, "iov_iter_revert" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x16f7e40f, "iov_iter_npages" },
	{ 0x9d04fe5, "kmalloc_caches" },
	{ 0x62740300, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x53ed54a2, "vsock_data_ready" },
	{ 0xf4a1753, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "4BB03345865310C9C500909");
MODULE_INFO(rhelversion, "9.6");
